Gst::AllocationParams Class Reference

Parameters to control the allocation of memory. More...

`#include <gstreamermm/allocator.h>`

## Public Member Functions

| AllocationParams (GstAllocationParams* gobject, bool make_a_copy=true)
| AllocationParams (const AllocationParams& other)
AllocationParams& | operator= (const AllocationParams& other)
| AllocationParams (AllocationParams&& other) noexcept
AllocationParams& | operator= (AllocationParams&& other) noexcept
| ~AllocationParams () noexcept
void | swap (AllocationParams& other) noexcept
GstAllocationParams* | gobj ()
| Provides access to the underlying C instance. More...
const GstAllocationParams* | gobj () const
| Provides access to the underlying C instance. More...
GstAllocationParams* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs. More...
| AllocationParams ()
void | init ()
| Initialize params to its default values. More...
MemoryFlags | get_flags () const
void | set_flags (const MemoryFlags& value)
gsize | get_align () const
void | set_align (const gsize& value)
gsize | get_prefix () const
void | set_prefix (const gsize& value)
gsize | get_padding () const
void | set_padding (const gsize& value)

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Attributes

GstAllocationParams* | gobject_

## Related Functions

(Note that these are not member functions.)
void | swap (AllocationParams& lhs, AllocationParams& rhs) noexcept
Gst::AllocationParams | wrap (GstAllocationParams* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Parameters to control the allocation of memory.

## Constructor & Destructor Documentation

## AllocationParams() [1/4]

Gst::AllocationParams::AllocationParams | ( | GstAllocationParams * | gobject,
|  | bool | make_a_copy = `true`
| ) |  |

explicit

## AllocationParams() [2/4]

Gst::AllocationParams::AllocationParams | ( | const AllocationParams& | other | ) |

## AllocationParams() [3/4]

Gst::AllocationParams::AllocationParams | ( | AllocationParams&& | other | ) |

noexcept

## ~AllocationParams()

Gst::AllocationParams::~AllocationParams | ( |  | ) |

noexcept

## AllocationParams() [4/4]

Gst::AllocationParams::AllocationParams | ( |  | ) |

## Member Function Documentation

## get_align()

gsize Gst::AllocationParams::get_align | ( |  | ) | const

## get_flags()

MemoryFlags Gst::AllocationParams::get_flags | ( |  | ) | const

## get_padding()

gsize Gst::AllocationParams::get_padding | ( |  | ) | const

## get_prefix()

gsize Gst::AllocationParams::get_prefix | ( |  | ) | const

## get_type()

static GType Gst::AllocationParams::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

## gobj() [1/2]

GstAllocationParams* Gst::AllocationParams::gobj | ( |  | ) |

inline

Provides access to the underlying C instance.

## gobj() [2/2]

const GstAllocationParams* Gst::AllocationParams::gobj | ( |  | ) | const

inline

Provides access to the underlying C instance.

## gobj_copy()

GstAllocationParams* Gst::AllocationParams::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

## init()

void Gst::AllocationParams::init | ( |  | ) |

Initialize params to its default values.

## operator=() [1/2]

AllocationParams& Gst::AllocationParams::operator= | ( | const AllocationParams& | other | ) |

## operator=() [2/2]

AllocationParams& Gst::AllocationParams::operator= | ( | AllocationParams&& | other | ) |

noexcept

## set_align()

void Gst::AllocationParams::set_align | ( | const gsize & | value | ) |

## set_flags()

void Gst::AllocationParams::set_flags | ( | const MemoryFlags& | value | ) |

## set_padding()

void Gst::AllocationParams::set_padding | ( | const gsize & | value | ) |

## set_prefix()

void Gst::AllocationParams::set_prefix | ( | const gsize & | value | ) |

## swap()

void Gst::AllocationParams::swap | ( | AllocationParams& | other | ) |

noexcept

## Friends And Related Function Documentation

## swap()

void swap | ( | AllocationParams& | lhs,
|  | AllocationParams& | rhs
| ) |  |

related

Parameters

  lhs | The left-hand side
  rhs | The right-hand side

## wrap()

Gst::AllocationParams wrap | ( | GstAllocationParams * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

## gobject_

GstAllocationParams* Gst::AllocationParams::gobject_

protected